List player images
GET/v1/players/{playerId}/images
const url = 'https://api.ligr.live/rest/v1/players/1/images';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v1/players/1/images \ --header 'Authorization: Bearer <token>'Returns the player’s image for each player image template of your organization.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity identifier
The player id
Responses
Section titled “Responses”Ok
object
One item per image template of the entity type, sorted by template id.
The image of one player, team or competition for one image template.
object
Entity identifier
Pixel width the image must have.
Pixel height the image must have.
URL of the entity’s image for the template. Null: the entity has no image for the template.
URL of the template’s default image. Null: the template has no default image.
Examplegenerated
{ "images": [ { "imageTemplateId": 1, "templateName": "example", "width": 1, "height": 1, "url": "example", "defaultImageUrl": "example" } ]}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Player or image template not found
object
Examplegenerated
{ "message": "example"}Organization has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}